% FIG10_1  Draws Figure 10.1, `Machine element'.
% Original SCALEDRAWING.

% draw something that defines limits
x1 = [ 0 1.5 1.5 1.0   1.0     0.6     0.6     0 ];
z   = [ 0 0    3.0 4.0 13.5   13.5   14.5   14.5 ];
x2 = -x1;
hp = plot(x1, z, 'k-', x2, z, 'k-');
set(hp, 'LineWidth', 1.5)
axis equal, axis off
set(gca, 'Units', 'centimeters')
set(gca, 'xlimmode', 'manual',  'ylimmode', 'manual')
set(gca, 'Position', [ 0 0  abs(diff(xlim)) abs(diff(ylim)) ] )
hold on
% complete frontal elevation
plot([ 0 0 ], [ -4 30 ], 'k-.', [ -35. 3.5 ], [ -3 -3 ], 'k-.')
x2 = -x1;
hp = plot(x2, z, 'k-');
set(hp, 'LineWidth', 1.5)
hp = plot([ -1.5 1.5 ], [ 3 3 ], 'k-');
set(hp, 'LineWidth', 1.5)
hp = plot([ -1 1 ], [ 4 4 ], 'k-');
set(hp, 'LineWidth', 1.5)
hp = plot([ -0.6 0.6 ], [ 13.5 13.5 ], 'k-');
set(hp, 'LineWidth', 1.5)
hp = plot([ 0 0 ], [ 13.5 14.5 ], 'k-');
set(hp, 'LineWidth', 1.5)
plot([ -0.6 0 ], [ 13.5 14.5 ], 'k-.')
plot([ -0.6 0 ], [ 14.5 13.5 ], 'k-.')
plot([ 0 0.6 ], [ 13.5 14.5 ], 'k-.')
plot([ 0 0.6 ], [ 14.5 13.5 ], 'k-.')
% some dimensioning
arrow([ 0;2], [ -1.5; 2 ], 0.1)
arrow([ 0;2], [  1.5; 2 ], 0.1)
ht = text(-0.6, 2.3, '\oslash 30');
set(ht, 'FontSize', 14)
plot([ 1.5 2.6 ], [ 0 0 ], 'k-')
plot([ 0.6 2.6 ], [ 14.5 14.5 ] ,'k-')
arrow([ 2.3; 7.25 ], [ 2.3; 0 ], 0.1)
arrow([ 2.3; 7.25 ], [ 2.3;14.50 ], 0.1)
ht = text(2.1, 7, '145', 'Rotation', 90);
set(ht, 'FontSize', 14)
hold off
