% FIG11_27,  produces Fig. 11.27, `A  series RLC circuit' in 
% `What every engineer should know about MATLAB and Simulink'.
% Original file name SERIESRLC.
% Writen by Adrian Biran.

% plot line to define frame
plot([ 55 5 5 15 ], [ 15 15 47.5 47.5 ], 'k-', [  97 110 110 65 ], [ 47.5 47.5 15 15 ], 'k-')
axis equal, axis off
hold on
hr = plot([ 15 15 35 35 15 ], [ 45 50 50 45 45 ], 'k-');                % resistor
set(hr, 'LineWidth', 1.5)
Ht = text(23, 53, 'R');
set(Ht, 'FontSize', 14)
plot([ 35 55 ], [ 47.5 47.5 ], 'k-')                                                    % inductor
fill([ 55 55 75 75 55 ], [ 45 50 50 45 45 ], 'k')
Ht = text(65, 53, 'L');
set(Ht, 'FontSize', 14)
set(hr, 'LineWidth', 1.5)
plot([ 75 95 ], [ 47.5 47.5 ], 'k-')                                                    % capacitor
hc = plot([ 95 95 ], [ 45.5 49.5 ], 'k-');
set(hc, 'LineWidth', 2.5)
Ht = text(95, 53, 'C');
set(Ht, 'FontSize', 14)
hc = plot([ 97 97 ], [ 45.5 49.5 ], 'k-');
set(hc, 'LineWidth', 2.5)
circlec([ 60; 15 ], 5);
Ht = text(59, 24, 'V_i');
set(Ht, 'FontSize', 14)

hold off