%FIG2_14  Plots Figure 2.14,  `Ferry traversing a stream'.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

% define frame
hp = plot([ 0 4 ], [ 10 10 ], 'k-', [ 0 4 ], [ 0 0 ], 'k-');
set(hp, 'LineWidth', 1.5)
axis equal, axis off
point([ 2; 0 ], 0.1)                % start
ht = text(2.2, 0.3, 'A');
set(ht, 'FontSize', 18)
hold on
arrow([ 2; 0.5 ], [ 2; 5.5 ], 0.13)
ht = text(2.2, 2.7, 'V_f');
set(ht, 'FontSize', 18)
arrow([ 1; 5.5 ], [ 2; 5.5 ], 0.13)
ht = text(1.25, 6, 'V_s');
set(ht, 'FontSize', 18)
point([ 4; 10 ], 0.1)
ht = text(3.5, 9.5, 'B');
set(ht, 'FontSize', 18)
% show stream width
arrow([ 0.5; 5 ], [ 0.5; 0 ], 0.1)
arrow([ 0.5; 5 ], [ 0.5; 10 ], 0.1)
ht = text(0.1, 4, '1 N mile', 'Rotation', 90);
set(ht, 'FontSize', 18)

hold off

