% FIG3_1, plots Figure 3.1, `The intersection of two straight lines'.
% Original file name TWOLINES. 
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

x1 = -8:10;
y1 = 2.5 + 0.5*x1;
x2 = -(5.5/3): 0.1: 4;
y2 = -2.5 + 3*x2;
plot( x1, y1, 'k-', x2, y2, 'k-')
grid
axis equal
axis([ -8 10 -8 9 ])
% axis([ -1 4 -8 9 ])
hl = xlabel('x');
set(hl, 'FontSize', 16)
hl = ylabel('y');
set(hl, 'FontSize', 16)
t1  = atand(0.5);
ht = text(-6, 0.5, 'y = 2.5 + 0.5x', 'Rotation', t1);
set(ht, 'FontSize', 16)
t2  = atand(3); 
ht = text(-1.9, -6, 'y = -2.5 + 3x', 'Rotation', t2 );
set(ht, 'FontSize', 16)