%FIG3_9  Draws Figure 3.9. `Three non-collinear points'.
% Original DRAWCIRCLE3P.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

% define frame
% plot([ 0 5 ], [ 0 0 ], 'k-', [ 0 0  ], [ 0 5 ], 'k-')

% define three points
P1 = [ 1.5; 4 ];
P2 = [ 1; 1 ];
P3 = [ 2; 1 ];
point(P1, 0.04)
axis([ 0 5  0 5 ])
axis equal
grid
set(gca,  'XTick', -1: 4,...
                    'XTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 14,...
                    'XTickLabel', -1: 4,...
                    'YTick', 0: 5,...
                    'YTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 14,...
                    'YTickLabel', 0: 5)
hl = xlabel('x');
set(hl, 'FontSize', 16)
hl = ylabel('y');
set(hl, 'FontSize', 16)
ht = text(P1(1), 1.05*P1(2), 'P_1');
set(ht, 'FontSize', 14)
hold on
point(P2, 0.04)
ht = text(P2(1), 0.75*P2(2), 'P_2');
set(ht, 'FontSize', 14)
point(P3, 0.04)
ht = text(P3(1), 0.75*P3(2), 'P_3');
set(ht, 'FontSize', 14)
pause
% print -deps DrawCircle3P1.eps

hold off