% FIG7_1,  plots Figure 7.1, `Complex number represented as a point'.
% Original file name PLOTZ1.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

% define complex number z1
z1 = 3 + 4i;
plot(z1, 'k*', 'LineWidth', 2), grid
axis([ 0 4 0 5 ])
axis equal
set(gca,  'XTick', 0: 5,...
                    'XTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'XTickLabel', 0: 5,...
                    'YTick', 0: 5,...
                    'YTickLabelMode', 'manual',...
                    'FontUnits', 'point',...
                    'FontSize', 16,...
                    'YTickLabel', 0: 5)
ht = text(3.2, 4, 'z_1');                
set(ht, 'FontSize', 16)
ht = xlabel('\Re');
set(ht, 'FontSize', 16)
ht =ylabel('\Im');
set(ht, 'FontSize', 16)