%FIG7_6   Draws Figure 7.6, `A mechanical system'.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

% draw  mass and set frame
hp1 = plot([ 10 70 70 10 10 ], [ 45 45 70 70 45 ], 'k-');
set(hp1, 'LineWidth', 2.1)
axis ([ 0 80 0 90 ]), axis off
text( 39, 57, 'm', 'FontSize', 24)
hold on
% draw spring
hp2 = plot([ 25 25 30 20 30 20 25 25 ], [ 10 15 20 25 30 35 40 45 ], 'k-');
set(hp2, 'LineWidth', 1.6)
text(13, 25, 'k', 'FontSize', 24)
% draw dashpot
hp2 = plot([ 55 55 50 50 ], [ 10 20 20 35 ], 'k-');
set(hp2, 'LineWidth', 1.6)
hp2 = plot([ 55 60 60 ], [ 20 20 35 ], 'k-');
set(hp2, 'LineWidth', 1.6)
plot([ 51 59 ], [ 27.5 ], 'k-')
set(hp2, 'LineWidth', 1.6)
hp2 = plot([ 55 55 ], [ 27.5 45 ], 'k-');
set(hp2, 'LineWidth', 1.6)
text(63, 25, 'c',  'FontSize', 24)
hp2 = plot([ 10 70 ], [ 10 10 ], 'k-');
set(hp2, 'LineWidth', 1.6)
% hatch ground
x0   = 10;
for j = 1:12
    x1 = x0 + 5;
    plot([ x0 x1 ], [ 5 10 ], 'k-')
    x0 = x1;
end
% add coordinate system
plot([ 75 80 ], [ 45 45 ], 'k-', 'LineWidth', 1.1)
arrow([ 79; 45 ], [ 79; 60 ], 1.2)
text(75, 50, 'x', 'Rotation', 90, 'FontSize', 24)

pause
%%%%%%%%%%%%% Forced system %%%%%%%%%%%%
axis ([ 0 80 0 100 ]), axis off
arrow([ 40; 70 ], [ 40; 90 ], 1.5)
text(35, 75, 'F',  'FontSize', 24)


hold off