%KVISC  kinematic viscosity of fresh water
% Meaning of columns: 
%   Temperature     kinematic viscosity
%      degrees \Cc                     m^2/s
% Written  by Adrian Biran for `MATLAB for engineers',
% reused as Table 4.1 in `What every engineer should know about MATLAB and Simulink'
% with the kind permission of Pearson Education.

nu = [  0   1.79
             1   1.73
             2   1.67
             3   1.62
             4   1.57
             5   1.52
             6   1.47
             7   1.43
             8   1.39
             9   1.33
           10  1.31
           11  1.27
           12  1.24
           13  1.20
           14  1.17
           15  1.14
           16  1.11
           17  1.08
           18  1.06
           19  1.03
           20  1.01
           21  0.983
           22  0.960
           23  0.938
           24  0.917
           25  0.896
           26  0.876
           27  0.857
           28  0.839 ];