% EXER3_4,   Solves Exercise 3.4, `Solving a 7th degree polynomial
% equation'. Written by Adrian Biran for he book
% `What every engineer should know about MATLAB and Simulink'. 

% define coefficients of 7th degree polynomial
c = [ 1 7 21 35 35 21 7 1 ];
% obtain coefficients by convolution
P1 = [ 1 -1 ];
P7 = conv(P1, conv(P1, conv(P1, conv(P1, (conv(P1, conv(P1, P1)))))))
% solve with roots
roots(c)
h1 = @(x) x.^7 + 7*x.^6 + 21*x.^5 + 35*x.^4 + 35*x.^3 + 21*x.^2 + 7*x + 1;
h2 = @(x) 7*x.^6 + 42*x.^5 + 105*x.^4 + 140*x.^3 + 105*x.^2 + 42*x + 7;
ezplot(h1, [ -2 0 ])
newton(h1, h2, -1.1)