%SEVENDEGREE Solution of 7th degree algebraic equation.
% Partial solution of Exercise 3.4.
% Written by Adrian Biran for the book
% `What every engineer should know about MATLAB and Simulink'.

% polynomial coefficients
c = [ 1 7 21 35 35 21 7 1 ];
disp('Solution with roots')
X1 = roots(c)
% solution with solve
h   = @(x) x.^7 + 7*x.^6 + 21*x.^5 + 35*x.^4 + 35*x.^3 + 21*x.^7 + 7*x + 1;
X2 = fsolve(h, 0)
disp('fsolve in given interval')
X3 = fsolve(h, [ -2 2 ])
disp('Try Newton')
h1 = @(x) 7*x.^6 + 42*x.^5 + 105*x.^4 + 140*x.^3 + 105*x.^2 + 147*x + 7;
newton(h, h1, 1)
