% FIG10_1, produces Figure 10.2, `The definiton of the cone surface'.
% Original file name CONDEF.
% Written by Adrian Biran for the book `What every engineer shold know
% about MATLAB and Simulink'.

plot3([ 0 0 ], [ 0 0 ], [ -2.5 2.5 ], 'k-.', [ 1 -1 ], [ 0 0 ], [ -2 2 ], 'k-')
ht = text(0, 0.5, -2.1, 'O');
set(ht, 'FontSize', 14)
ht = text(0, 0.5, 2.1, 'Z');
set(ht, 'FontSize', 14)
ht = text(1, 0, 0.5, 'g');
set(ht, 'FontSize', 14)
ht = text(0.3, 0.3, 0, 'P');
set(ht, 'FontSize', 14)
axis equal, axis off

hold on
point([0; 0; 0 ], 0.05)
t   = 0: 5: 360;
r   = 1;                                            % radius of base circle
x   = r*cosd(t);
y   = r*sind(t);
z   = -2*ones(size(x));
plot3(x, y, z, 'k-')
ht = text(0 -1, -2, 'c');
set(ht, 'FontSize', 14)

hold off