% FIG10_3,  Draws Figure 10.3, `The two nappes of a cone'.
% Original file name MATHCONE. 
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

alpha = 20;
H            = 20;
R            = H*tand(alpha);
n           = 20;
u           = (-n:n)/n;
v           = (n: -1: -n)/n;
theta = 2*pi*u;  
xs         = R*cos(theta);
ys         = R*sin(theta);
xxs       = v'*xs;
yys       = v'*ys;
zs          =  (1 - v)*H;
zzs        = zs'*ones(size(v));

% surf(xxs, yys, zzs)
mesh(xxs, yys, zzs, 'EdgeColor', 'black')
axis equal, axis off
ht = title([ '\alpha  = ' num2str(alpha) ' deg' ]);
set(ht, 'FontSize', 16)
