% FIG2_15, `Composition of velocities'.
% Original file name STREAMFERRY2. 
% Written by Adrian Biran, May 2006,  for the book
% `What every engineer should know about MATLAB and Simulink'.

% define frame
hp = plot([ 0 2 2 ], [ 10 10 0 ], 'k--');
set(hp, 'LineWidth', 1)
axis equal ,axis off
hold on
arrow([ 0; 0 ], [ 0; 10 ], 0.2)
ht = text(-0.7, 4.5, 'V_f');
set(ht, 'FontSize', 18)
arrow([ 0; 0 ], [ 2; 0 ], 0.2)
ht = text(0.7, 0.6, 'V_s');
set(ht, 'FontSize', 18)
arrow([ 0; 0 ], [ 2; 10 ], 0.2)
ht = text(0.5, 5, 'V');
set(ht, 'FontSize', 18)

hold off