 %FIG2_17   Draws Figure 2.17, `To the defition of the vector product'
 % Written by Adrian Biran for the book `What every engineer should know
 % about MATLAB and Simulink'

% define axes
O   = [ 0 0 ];
A1 = 15*[ cosd(210) sind(210) ];
A2 = 15*[ cosd(-30) sind(-30) ];
A3 = 30*[ 0 1 ];
hp = plot([ O(1) A1(1)], [ O(2) A1(2) ], 'k-' ,  [ O(1) A2(1)], [ O(2) A2(2) ], 'k-' , [ O(1) A3(1)], [ O(2) A3(2) ], 'k-');
set(hp, 'LineWidth', 1)
axis equal, axis off
ht = text(A1(1), 0.7*A1(2), 'x');;
set(ht, 'FontSize', 14)
ht = text(A2(1), 0.7*A2(2), 'y');;
set(ht, 'FontSize', 14)
ht = text(0.5, A3(2), 'z');;
set(ht, 'FontSize', 14)

hold on
% define points
P1 = 10* [ cosd(210) sind(210) ];
arrow(O, P1, 0.5)
ht = text(P1(1), P1(2)/3, 'V_1');
set(ht, 'FontSize', 16, 'FontWeight', 'bold')
P2 = 5*[ cosd(260)  sind(260) ]
arrow(O, P2, 0.5)
ht = text(P2(1), 1.3*P2(2), 'V_2');
set(ht, 'FontSize', 16, 'FontWeight', 'bold')

P3 = [ 0; 25 ],
arrow(O, P3, 0.5)
ht = text(0.5, P3(2)/2, 'V');
set(ht, 'FontSize', 16, 'FontWeight', 'bold')
% complete parallelogram
P4 = P1 + P2
pline([ P1' P4' P2' ], 1, 'k', '--')

hold off