%CONTAINERSHIP  Solves Exercise 2.10, `Weight data of a containership'.
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'.

Lpp   = 206.3;              % length between perpendiculars, m
% enter data as given, i.e. measured from FP
LCG1 = [  106.8; 111.7; 174.2; 189.8; 179.8; 93.0; 173.4; 97.9; 126.1; 103.7 ]; 
% convert ot data measured from AP
LCG   = Lpp - LCG1
% enter weight data
M        = [ 8624; 2383; 1158; 152; 85; 6727; 588; 2470; 163; 15485 ];
% enter VCG data
VCG   = [ 9.8; 14.2; 8.4; 11.6; 15.3; 8.0; 4.5; 1.0; 9.3; 14.1 ];
Data = [ M VCG LCG ];

% Calculate lightship data
Lightship  = sum(Data(1:3, 1))
LightMom     = Data(1:3, 1)'*Data(1:3, 2:3)
LightCG        = LightMom/Lightship
% Calculate deadweight data
Deadweight = sum(Data(4:10, 1))
DeadMom         = Data(4:10, 1)'*Data(4:10, 2:3)
DeadCG            = DeadMom/Deadweight
% Calculate full-load from primary data
FullLoad       = sum(Data(:, 1))
FullMom          = Data(:,  1)'*Data(:, 2:3)
FullCG             = FullMom/FullLoad


