%TRANSLATION Examples of translation matrices in 
% Subsections  2.51 and 2.5.3 of the book
% `What every engineer should know about MATLAB and Simulink'.
% Written by Adrian Biran.

P1 = [ 1; 2 ];
T = [ 3; 4 ];
% Translate one point
Q1 = P1 + T
% Translate a triangle
P = [ 1 2 5 1; 2 4 3 2 ];
Q = P + [ T T T T ]
% A better solution
[ m, n ] = size(P)
TT = repmat(T, 1, n)
Q = P + TT
disp('Try new addition')
disp('Build repeated matrix')
T*ones(1, n)
disp('Translate')
Q = P + T*ones(1, n)
%%%%%%%%%% MATRIX FOR MULTIPLICATION %%%%%%%%%%
% convert to homogeneous coordinates
disp('Multiplicative matrix')
P = [ P; 1 1 1 1 ]
T = [ 1 0 3; 0 1 4; 0 0 1 ]
Q = T*P

