%UNDERDETERMINED   Example of undetermined system
% in Section 3.5.3 of the book
% `What every engineer should know about MATLAB and Simulink'.
% Written by Adrian Biran.

A = [ 1/10 1/3 1/3; 1/2 1/20 1/2 ];
B = [ 1; 1 ];
rank(A)
rank([ A B ])
disp('Solution that uses the backslash operator')
X1 = A\B
disp('Calculate the pseudoinverse')
P = pinv(A)
disp('Check definition  of pseudoinverse')
A*P*A - A
P*A*P - P
disp('Solution using pseudoinverse')
X2 = pinv(A)*B
% check for given results
D   = -10/97;
x   = @(z) (9*z - 17)*D;
y   = @(z) (7*z - 24)*D;
x0 = feval(x, X0(3))
y0 = feval(y, X0(3))
x1 = feval(x, X1(3))
y1 = feval(y, X1(3))
x2 = feval(x, X2(3))
y2 = feval(y, X2(3))
% check norms
N1 = norm(X1)
N2 = norm(X2)