	function		point(C, r)
	
%POINT	plots filled circles marking points
%               in two-dimensional plots.
%               C	coordinates of centre, a two-dimensional vector
%               r	radius of circle.
%               Written by Adrian Biran.

t = 0: pi/30: 2*pi;    % curve parameter
x = C(1) + r*cos(t);
y = C(2) + r*sin(t);
patch(x, y, [ 0 0 0 ])   % fills in black
	