%CRANE
% Written by Adrian Biran for the book `What every engineer should know
% about MATLAB and Simulink'

l1 = 3;
l2 = 4;
h   = 2;
F   = 10;
alpha = atand(h/l1)
beta    = atand(h/(l2 -l1))

% calculate reactions
A1 = [ 1 1; 0 l1 ];
B1 = F*[ 1; l2 ];
X1 = A1\B1
R1y = X1(1);
R2y = X1(2);
% solve node 1
A2 = [ cosd(alpha) cosd(beta); sind(alpha) sind(beta) ];
B2 = [ 0; F ];
X2 = A2\B2
T1 = X2(1);
T2 = X2(2);
% solve node 2
T1*cosd(alpha)
T2*cosd(beta)
